cartesian_product.hpp File Reference

Forward declares `boost::hana::cartesian_product`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::cartesian_product
| Computes the cartesian product of a sequence of sequences.Given a sequence of sequences, `cartesian_product` returns a new sequence of sequences containing the cartesian product of the original sequences. For this method to finish, a finite number of finite sequences must be provided. More...

## Detailed Description

Forward declares `boost::hana::cartesian_product`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)